using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page 
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
        txtOnDate.SelectedDateChanged += new Telerik.Web.UI.Calendar.SelectedDateChangedEventHandler(txtOnDate_SelectedDateChanged);
    }

    void txtOnDate_SelectedDateChanged(object sender, Telerik.Web.UI.Calendar.SelectedDateChangedEventArgs e)
    {
        Parameter p = new Parameter();
        p.Name = "OrderDate";
        p.Type=TypeCode.DateTime;
        p.DefaultValue = txtOnDate.SelectedDate.ToString();
        LinqVisitors.WhereParameters.Add(p);
    }
}
